"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.Pane = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _react = _interopRequireWildcard(require("react"));
var _tree = _interopRequireDefault(require("./tree"));
require("./style.less");
var _filter = _interopRequireDefault(require("./filter"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var Pane = /*#__PURE__*/function (_PureComponent) {
  (0, _inheritsLoose2["default"])(Pane, _PureComponent);
  function Pane(props) {
    var _this;
    _this = _PureComponent.call(this, props) || this;
    _this.controller = void 0;
    _this.treeMaster = void 0;
    var controller = props.controller,
      treeMaster = props.treeMaster;
    _this.treeMaster = treeMaster;
    _this.controller = controller;
    return _this;
  }
  var _proto = Pane.prototype;
  _proto.componentWillUnmount = function componentWillUnmount() {
    this.controller.purge();
  };
  _proto.render = function render() {
    var _this2 = this;
    var tree = this.treeMaster.currentTree;
    if (!tree) {
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: "lc-outline-pane"
      }, /*#__PURE__*/_react["default"].createElement("p", {
        className: "lc-outline-notice"
      }, this.props.pluginContext.intl('Initializing')));
    }
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: "lc-outline-pane"
    }, /*#__PURE__*/_react["default"].createElement(_filter["default"], {
      tree: tree,
      pluginContext: this.props.pluginContext
    }), /*#__PURE__*/_react["default"].createElement("div", {
      ref: function ref(shell) {
        return _this2.controller.mount(shell);
      },
      className: "lc-outline-tree-container"
    }, /*#__PURE__*/_react["default"].createElement(_tree["default"], {
      key: tree.id,
      tree: tree,
      pluginContext: this.props.pluginContext
    })));
  };
  return Pane;
}(_react.PureComponent);
exports.Pane = Pane;