import { PureComponent } from 'react';
import './style.less';
import { Tree } from '../controllers/tree';
import { IPublicModelPluginContext } from '@alilc/lowcode-types';
export default class Filter extends PureComponent<{
    tree: Tree;
    pluginContext: IPublicModelPluginContext;
}, {
    keywords: string;
    filterOps: string[];
}> {
    state: {
        keywords: string;
        filterOps: any[];
    };
    handleSearchChange: (val: string) => void;
    handleOptionChange: (val: string[]) => void;
    handleCheckAll: () => void;
    filterTree(): void;
    render(): JSX.Element;
}
