import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React, { PureComponent } from 'react';
import TreeView from './tree';
import './style.less';
import Filter from './filter';
export var Pane = /*#__PURE__*/function (_PureComponent) {
  _inheritsLoose(Pane, _PureComponent);
  function Pane(props) {
    var _this;
    _this = _PureComponent.call(this, props) || this;
    _this.controller = void 0;
    _this.treeMaster = void 0;
    var controller = props.controller,
      treeMaster = props.treeMaster;
    _this.treeMaster = treeMaster;
    _this.controller = controller;
    return _this;
  }
  var _proto = Pane.prototype;
  _proto.componentWillUnmount = function componentWillUnmount() {
    this.controller.purge();
  };
  _proto.render = function render() {
    var _this2 = this;
    var tree = this.treeMaster.currentTree;
    if (!tree) {
      return /*#__PURE__*/React.createElement("div", {
        className: "lc-outline-pane"
      }, /*#__PURE__*/React.createElement("p", {
        className: "lc-outline-notice"
      }, this.props.pluginContext.intl('Initializing')));
    }
    return /*#__PURE__*/React.createElement("div", {
      className: "lc-outline-pane"
    }, /*#__PURE__*/React.createElement(Filter, {
      tree: tree,
      pluginContext: this.props.pluginContext
    }), /*#__PURE__*/React.createElement("div", {
      ref: function ref(shell) {
        return _this2.controller.mount(shell);
      },
      className: "lc-outline-tree-container"
    }, /*#__PURE__*/React.createElement(TreeView, {
      key: tree.id,
      tree: tree,
      pluginContext: this.props.pluginContext
    })));
  };
  return Pane;
}(PureComponent);