import { PureComponent } from 'react';
import { Tree } from '../controllers/tree';
import { IPublicModelPluginContext } from '@alilc/lowcode-types';
import TreeNode from '../controllers/tree-node';
export default class TreeView extends PureComponent<{
    tree: Tree;
    pluginContext: IPublicModelPluginContext;
}> {
    private shell;
    private hover;
    private onClick;
    private onDoubleClick;
    private onMouseOver;
    private getTreeNodeFromEvent;
    private ignoreUpSelected;
    private boostEvent?;
    private onMouseDown;
    private onMouseLeave;
    state: {
        root: TreeNode | null;
    };
    componentDidMount(): void;
    render(): JSX.Element;
}
